News:

NOTICE: This forum is mostly an archive, though new posts are allowed. Registration may require manual admin activation. After registering visit https://bitsum.com/contact/ to request account activation.

Main Menu

Where in rootfs do I eliminate files?

Started by jamaroney, July 04, 2015, 10:59:45 AM

Previous topic - Next topic

jamaroney

Hi,

Total newb here, so I hope what I'm asking is not TOO stupid....

I successfully extracted DDWRT dd-wrt.v24_nokaid_generic.bin (14929) with old-extract.sh (extract-firmware.sh didn't work).

So, if I want to eliminate features (e.g., openvpn), where do I go in rootfs? Or do I do a search and simply eliminate all openvpn* files?

Thanks for any help.



Jeremy Collake

The simple answer will be to just delete any files specifically related to OpenVPN. It may still be shown in the GUI, though you could look around to remove that too. DD-WRT isn't nearly as neat and tidy as OpenWRT, but is obviously a good option for many people.

It's easier to remove from DD-WRT than add to it. Trying to add binaries to it can be problematic due to the pruning of shared libraries of unused functions.

If you have a router compatible with Gargoyle (https://www.gargoyle-router.com/), an OpenWrt (https://www.openwrt.org) based distribution, you might try it instead.
Software Engineer. Bitsum LLC.

BenYeeHua

Just saying that Gargoyle is now on experimental build(as it just move over to BB), you may choose 1.6 version if you are asking for stability, not wifi performance. :)

Jeremy Collake

Yes, that's true, though it will depend on what router he is running - Gargoyle's router support depends largely on the version. I'm a big fan of it myself, nice work.

Unfortunately, I, and the rest of the world, continue to be dismayed by the WiFi chipset vendors keeping their latest drivers closed source. This means the aftermarket firmwares are always behind the curve in capabilities and WiFi stability.
Software Engineer. Bitsum LLC.

BenYeeHua

Yup, but open source driver might also increase the chance of getting much more vulnerability showing up, and forcing average user that using aftermarket firmwares facing vulnerability, I guess? :)

Jeremy Collake

Software Engineer. Bitsum LLC.